import { localStorageStore } from '@skeletonlabs/skeleton';
import { writable } from 'svelte/store';

export const lastSearch = localStorageStore('lastSearch', '');
export const imageGridColumns = localStorageStore('gridColumns', 6);
export const postSearchResults = writable(null);
export const postGridPreviewQuality = localStorageStore('gridPreviewQuality', 'preview');
export const loading = writable(false);
export const showSearch = writable(true);